
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>WCF 之 计算器实例 / 憋错料</title>

    <meta name="description" content="WCF 之 计算器实例 对于WCF,我们有了前面的理论基础,今天通过一个计算器的实例主要给大家讲解怎么一步一步地创建一个完整的WCF应用. 一.创建整个解决方案 Calculator.Service:一个类库项目,定义服务契约(Service Contract),应用System.ServiceModel程序集:提供对WCF服务的实现. Calculator.Host:一个Windows窗体应用程序,实现对定义在Calculator.Service项目中的服务的寄宿,该项目需要引用Calculator.Service项">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">WCF 之 计算器实例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>对于WCF，我们有了前面的理论基础，今天通过一个计算器的实例主要给大家讲解怎么一步一步地创建一个完整的WCF应用。</p>
<p>一、创建整个解决方案</strong></p>

<p>Calculator.Service:一个类库项目，定义服务契约（Service Contract），应用System.ServiceModel程序集；提供对WCF服务的实现。</p>
<p>Calculator.Host：一个Windows窗体应用程序，实现对定义在Calculator.Service项目中的服务的寄宿，该项目需要引用Calculator.Service项目和System.ServiceModel程序集。</p>
<p>Calculator.Client：一个Windows窗体应用程序模拟服务的客户端，该项目应用System.ServiceModel程序集。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA0MjgxNjM3MzQzMDI/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2Y25rMU1UTTNNRFUyTVRnPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg"></p>
<p><strong>二、创建服务契约</strong></p>
<p>一般，我们通过接口的形式定义服务契约。通过下面的代码，将一个接口ICalculator定义成服务契约。我们通过在接口上应用System.ServiceModel.ServiceContractAttribute特性将一个接口定义成服务契约。</p>
<p>将接口定义成服务契约后，接口的方法成员并不能自动成为服务的操作。我们需要在相应的操作方法上面显式地应用OperationContractAttribute特性。</p>
<pre>using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
namespace Calculator.Service
{
    [ServiceContract]
    public interface ICalculator
    {
        [OperationContract]
        double Add(double x, double y);

        [OperationContract]
        double Subtract(double x, double y);

        [OperationContract]
        double Multiply(double x, double y);

        [OperationContract]
        double Divide(double x, double y);
    }
}
</pre>
<p><strong>三、创建服务</strong></p>
<p>当服务契约创建成功后，我们需要通过实现服务契约来创建具体的WCF服务，WCF服务CalculatorService实现了服务契约的接口ICalculator，实现了所有的服务操作。</p>
<pre>using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Calculator.Service
{
    public class CalculatorService:ICalculator
    {
        public double Add(double x, double y)
        {
            return x + y;
        }

        public double Subtract(double x, double y)
        {
            return x - y;
        }

        public double Multiply(double x, double y)
        {
            return x * y;
        }

        public double Divide(double x, double y)
        {
            return x / y;
        }
    }
}</pre>
<p><strong>四、通过自我寄宿的方式寄宿服务</strong></p>
<p>服务寄宿的目的就是开启一个进程，为WCF服务提供一个运行的环境。通过为服务添加一个或多个中级诶单，使之暴露给潜在的服务消费者。服务消费者最终通过相匹配的终结点对该服务进行调用。我们完全可以通过代码的方式完成所有的服务寄宿工作。</p>
<pre>using Calculator.Service;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.ServiceModel;
using System.ServiceModel.Description;
using System.Text;
using System.Windows.Forms;

namespace Calculator.Host
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        ServiceHost host = null;
        private void btnOpen_Click(object sender, EventArgs e)
        {
            host = new ServiceHost(typeof(CalculatorService));

            host.AddServiceEndpoint(typeof(ICalculator), new WSHttpBinding(), &quot;http://localhost:8008/Calculator&quot;);
            if (host.Description.Behaviors.Find&lt;ServiceMetadataBehavior&gt;()==null)
            {
                ServiceMetadataBehavior behavior = new ServiceMetadataBehavior();
                behavior.HttpGetEnabled = true;
                behavior.HttpGetUrl = new Uri(&quot;http://localhost:8008/Calculator/metadata&quot;);
                host.Description.Behaviors.Add(behavior);
            }

            host.Opened += delegate { label1.Text = &quot;服务已经启动！&quot;; };
            host.Open();

        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            if (host.State != CommunicationState.Closed)
            {
                host.Closed += delegate { label1.Text = &quot;服务已经停止！&quot;; };
                host.Close();
            }
        }
    }
}</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA0MjgxNjQwMTE4MDI/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2Y25rMU1UTTNNRFUyTVRnPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg"></p>
<p><strong>五、创建客户端调用服务</strong></p>
<p>服务被成功寄宿后，服务端便开始了服务调用请求的监听工作。此外，服务寄宿将服务描述通过元数据的形式发布出来，相应的客户端就可以获取这些元数据，创建爱你客户端程序进行服务的消费。在VS下，当我们添加服务引用的时候，VS在内部帮我们实现元数据的获取，并借组这些元数据通过代码生成工具自动生成用于服务调用的服务代理相关代码和相应的配置。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA0MjgxNjQwMzcxMDU/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2Y25rMU1UTTNNRFUyTVRnPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg"></p>
<p>我们可以创建CalculatorClient对象，执行相应方法调用服务操作。</p>
<pre>using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Calculator.Client
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            comboBox1.Text = &quot;+&quot;;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            CalculatorService.CalculatorClient client = new CalculatorService.CalculatorClient();
            double x = Convert.ToDouble (textBox1.Text);
            double y = Convert.ToDouble(textBox2.Text);
            double result=0;
            string operater = comboBox1.Text;

            switch (operater )
            {
                case &quot;+&quot;:
                    result = client.Add(x, y);
                    break;
                case &quot;-&quot;:
                    result = client.Subtract(x, y);
                    break;
                case &quot;*&quot;:
                    result = client.Multiply(x, y);
                    break;
                case &quot;/&quot;:
                    if (y==0)
                    {
                        MessageBox.Show(&quot;除数不能为0！&quot;);
                        return;
                    }
                    result = client.Divide(x, y);
                    break;
            }

            label1.Text = textBox1.Text + comboBox1.Text + textBox2.Text + &quot; = &quot; + Convert.ToString(result);

        }
    }
}</pre>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA0MjgxNjQ0Mzg4NDE/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2Y25rMU1UTTNNRFUyTVRnPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg"></p>
<p><strong></p>
<p>在这个计算器实例中，我们实现了一个简单的计算服务（CalculatorService），提供基本的加、减、乘、除的运算。客户端和服务通过运行在不同进程模拟，体现了客户端和服务端进程互相调用的关系。</strong></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 23:39:43 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/wcf/" title="wcf">wcf</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>WCF 之 计算器实例的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPdBpPM.html" rel="bookmark">Javascript 实现简单计算器实例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Javascript 实现简单计算器实例代码 这篇文章主要介绍了Javascript 实现简单计算器实例代码的相关资料,需要的朋友可以参考下 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MV77az0.html" rel="bookmark">Python全栈--6&period;1-match-search-findall-group&lpar;s&rpar;的区别以及计算器实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Python全栈--6.1-match-search-findall-group(s)的区别以及计算器实例match.search.findall.group(s) 区别12345    import re# match findall经常用# re.match() #从开头匹配,没有匹配到对象就返回NONE# re.search() #浏览全部字符,匹配第一个符合规则的字符串# re.findall() # 将匹配到的所有内容都放置在一个列表中一.match有两种情况 -------  有分组			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MX1D8X0.html" rel="bookmark">QT开发（三十）&mdash;&mdash;计算器实例开发</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				QT开发(三十)--计算器实例开发 一.计算器界面制作 计算器界面需要QWidget组件作为顶层窗口,QLineEdit组件作为输入框,QPsuhButton作为按钮. 界面规划设计如下: #include &lt;QApplication&gt; #include &lt;QWidget&gt; #include &lt;QLineEdit&gt; #include &lt;QPushButton&gt;   int main(int argc, char *argv[]) {     QApplica			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ORazP0.html" rel="bookmark">WCF并发控制与实例模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WCF实例模式类型与区别 实例化模式 instanceMode percall        单调模式 [ServiceBehavior(InstanceContextMode=InstanceContextMode.PerCall)] persession  会话模式 [ServiceBehavior(InstanceContextMode=InstanceContextMode.PerSession)] singleTon   单例模式 [ServiceBehavior(InstanceCo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBmEBE4.html" rel="bookmark">WCF 通道模型&mdash;&mdash;实例篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				昨天在园子里看了一位高手的文章,对于WCF通道模型从设计层面到实际运用层面讲的非常的清楚和透彻,所以今天自己也动手写一点code来理解一下. 之前关于wcf通道模型的讲解的书看了两遍也没这次理解那么的深刻. 今天演示的只是一个简单的Demo, 这个程序的code其实在MSDN上就可以找到,稍加些自己的设计在里面就可以了,但WCF底层通信的逻辑和用法与MSDN上面的演示程序是一样.接下来先介绍一下整体需求. 需求:实现一个客户端和服务端,采用Http协议和请求响应式通信方式,实现简单的文本信息发送			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ljwPZ4.html" rel="bookmark">jQuery&lowbar;计算器实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				知识点: fadeIn()---计算器界面载入淡入效果 hover()---鼠标移入移出某个元素时触发的事件 click()---鼠标单击事件 css()---对元素样式的操作 val()---获取表单元素的值 text()---对元素div内容的处理 substring(start,end)---从start到end截取字符串的子串 indexOf()--字符串索引函数(在字符串中查找指定字符串,返回值是目标字符串在字符串的开始位置,返回-1表示没找到) .length --- 获取字符串的长			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4A7QQb0.html" rel="bookmark">Java实例---计算器实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.计算器上的键的显示名字 1.0 继承JFrame类 public class Calculate extends JFrame { } 1.1定义常量 /** 计算器上的键的显示名字 */ public final String[] KEYS = { &quot;7&quot;, &quot;8&quot;, &quot;9&quot;, &quot;/&quot;, &quot;sqrt&quot;, &quot;4&quot;, &quot;5&quot;, &quot;6&quot;, &quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QXQKl3.html" rel="bookmark">vue实现网页简单计算器实例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				效果: 代码如下: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt;&lt;/title&gt; &lt;script type=&quot;text/javascript&quot; src=&quot;js/vue.js&quot; &gt;&lt;/script&gt; &lt;/head&gt; &lt;body&gt; &lt;div id=&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QWBpN0.html" rel="bookmark">WCF服务类的实例模式（本文为转载）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WCF开发时如何选择正确的实例模式(InstanceMode)? 在使用WCF实例模型时,你是否思考过这几个的问题: ”WCF中的实例模式如何正确应用”? ”使用WCF中的实例模式有何原则可以遵循吗”? 众所周知:客户端调用服务时,最终会将调用服务端的某个实例来完成.在WCF服务中,可以通过ServiceBehavior的InstanceContextMode设置服务实例. InstanceContextMode定义如下: // 摘要:     //     指定可用来处理包含在传入消息中的调用			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MBmOq4.html" rel="bookmark" class="title">&lbrack;LeetCode&rsqb;Repeated DNA Sequences</a>
					<div>
						题目:Repeated DNA Sequences 给定包含A.C.G.T四个字符的字符串找出其中十个字符的重复子串. 思路: 首先,string中只有ACGT四个字符,因此可以将string看成是1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MEjYP0.html" rel="bookmark" class="title">&lbrack;Java Basics&rsqb; Stack&comma; Heap&comma; Constructor</a>
					<div>
						Good about Java: friendly syntax, memory management[GC can collect unreferenced memory resources], o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/r4JV1V4.html" rel="bookmark" class="title">如何编写高质量的Javascript代码</a>
					<div>
						1.避免全局变量,因为全局变量容易发生名称上的冲突,可维护性不好. a,使用命名空间 b,使用闭包 c,在函数内部使用var声明 2.编写可维护的代码 a.可读性 b.连续性 c.预见性 d.看起来是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kn9zbM.html" rel="bookmark" class="title">10、java5线程池之返回结果的任务之Callable与Future</a>
					<div>
						JDK文档描述Callable: public interface Callable&lt;V&gt;返回结果并且可能抛出异常的任务.实现者定义了一个不带任何参数的叫做 call 的方法. Calla ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a7dQk4.html" rel="bookmark" class="title">深入浅出学Spring Data JPA</a>
					<div>
						第一章:Spring Data JPA入门   Spring Data是什么 Spring Data是一个用于简化数据库访问,并支持云服务的开源框架.其主要目标是使得对数据的访问变得方便快捷,并支持m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLDg8OM.html" rel="bookmark" class="title">第二次团队冲刺--9</a>
					<div>
						昨天: 数据库的输出. 今天: 数据库的输出. 遇到的问题: 数据库里数据的输出问题.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AmeXK4.html" rel="bookmark" class="title">Java虚拟机的启动与程序的运行</a>
					<div>
						这篇文章是从 OpenJDK 源代码的角度讲当我们运行了 java -classpath . hello 之后,java.exe 如何从 main 函数开始执行,启动虚拟机,并执行字节码中的代码. 实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kDvNd3.html" rel="bookmark" class="title">S5PV210之添加缺少的-内核提供的&amp;&num;39&semi;&period;h&amp;&num;39&semi;文件 linux3&period;0&period;8驱动</a>
					<div>
						怎样解决编译时出现内核提供的函数或变量没有定义,使用source insight搜索功能找到声明的头文件,然后包含该头件就行了: 比如: error: implicit declaration of  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZrabJ3.html" rel="bookmark" class="title">effective c&plus;&plus;  条款18 make interface easy to use correctly and hard to use incorrectly</a>
					<div>
						举一个容易犯错的例子 class Date { private: int month; int day; int year; public: Date(int month,int day,int ye ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWDvar0.html" rel="bookmark" class="title">javascript的checkbox&period;defaultChecked属性</a>
					<div>
						defaultChecked属性的定义和用法:此属性可以返回复选框默认是否被选中.如果默认状态下被选中,则返回true,否则返回false.语法结构: checkbox.defaultChecked  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xabwz3.html" rel="bookmark" class="title">NodeJS 难点&lpar;网络&comma;文件&rpar;的 核心 stream 三：readable &quest;</a>
					<div>
						什么是可读流 可读流是生产数据用来供程序消费的流.我们常见的数据生产方式有读取磁盘文件.读取网络请求内容等,看一下前面介绍什么是流用的例子: const rs = fs.createReadStrea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e95zZ0.html" rel="bookmark" class="title">C语言中字符数组和字符串指针分析</a>
					<div>
						这几天搞Unix上的C程序,里面用到了很多字符数组和字符串指针,我记得在学完C语言后相当一段时间里,对指针这个东西还是模模糊糊,后来工作也没怎么 用到过C,虽然网上这类的文章也有很多,还是决定自己在这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mmmw8KM.html" rel="bookmark" class="title">matlab彩色图像插值</a>
					<div>
						软件是MATLAB R2014b 使用的是matlab中已有的函数imresize(); 彩色图像分别对R.G.B三个通道进行插值,之后融合.[imresize函数不用,可以直接插值] clear;c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZQ7Al0.html" rel="bookmark" class="title">math and date、ajax、画布</a>
					<div>
						console.log(Math.PI);//圆周率 console.log(Math.sqrt(4));//平方根2 console.log(Math.abs(-2.3));//绝对值2.3 con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RkvE53.html" rel="bookmark" class="title">angularjs笔记&lpar;三&rpar;</a>
					<div>
						AngularJS API 7.其他一些常用指令,布尔类型的指令也可以用表达式 (1).数组索引$index &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YQbrq0.html" rel="bookmark" class="title">《Linux内核设计与实现》第4章读书笔记&colon;进程调度</a>
					<div>
						第四章 进程调度 序 进程在操作系统看来是程序的运行态的表现形式. 4.1多任务 多任务操作系统:同时并发地交互执行多个进程的操作系统 多任务操作系统会使多个进程处于堵塞或者睡眠状态.这些任务尽管位于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JOlBbM.html" rel="bookmark" class="title">写在315前夕：苹果售后福州直信创邺在没有三包的情况下帮小偷翻新、助力小偷换机销赃！无视王法。让人震惊，痛心，憎恨！消费者很受伤很无奈</a>
					<div>
						投诉公司: 北京直信创邺数码科技有限公司 标题: 写在315前夕:苹果售后在没有三包的情况下帮小偷翻新.助力小偷换机销赃!无视王法.让人震惊,痛心,憎恨!消费者很受伤很无奈 期望: 还我手机,或者赔偿 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41eKrv4.html" rel="bookmark" class="title">设计模式中类之间的关系</a>
					<div>
						面向对象设计模式中,类与类之间主要有6种关系,他们分别是:依赖.关联.聚合.组合.继承.实现.他们的耦合度依次增强. 1.依赖(Dependence) 描述: 可以简单的理解,就是一个类A使用到了另一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3raAv10.html" rel="bookmark" class="title">Xcode中查看方法的调用者列表</a>
					<div>
						http://www.tuicool.com/articles/fENvMn Xcode中查看方法的调用者列表,码迷,mamicode.com					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vy1A60.html" rel="bookmark" class="title">Android 关于&colon;&colon;app&colon;clean &colon;app&colon;preBuild UP-TO-DATE &colon;app&colon;preDebugBuild UP-TO-DATE&comma;引用jar冲突问题</a>
					<div>
						错误提示: Information:Gradle tasks [:app:clean, :app:generateDebugSources, :app:generateDebugAndroidTest ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
